Bug 880302 - ccs/ccp list command
ccs/ccp list command
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
high Severity medium
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-26 11:22 EST by Lubos Trilety
Modified: 2013-03-19 12:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:38:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-11-26 11:22:03 EST
Description of problem:
condor_configure_store/pool list ends with fatal error when some warning occurs during run. Moreover the list ends on first warning occurrence so it could happen that when there's more objects it doesn't list even those which are correct.

# ccs -l -n node1,node2,node3,node4
Console Connection Established...
warning:  node node4 does not exist
fatal:  ShowNode returned non-zero

# ccs -l -n node1,node2,node3
Console Connection Established...
node3
  name:  "node3"
  provisioned:  true
  last_checkin:  0
  last_updated_version:  1349958915225644
  memberships:  []
  annotation:  ""
  features:  []
  params:  {}
node2
  name:  "node2"
  provisioned:  true
  last_checkin:  0
  last_updated_version:  1349958915225644
  memberships:  []
  annotation:  ""
  features:  []
  params:  {}
node1
  name:  "node1"
  provisioned:  true
  last_checkin:  0
  last_updated_version:  1349958915225644
  memberships:  []
  annotation:  ""
  features:  []
  params:  {}


Version-Release number of selected component (if applicable):
condor-wallaby-tools-5.0.3-2

How reproducible:
100%

Steps to Reproduce:
1. e.g create some node 'exist_node'
2. list nodes 'exist_node' and 'notexist_node'
# ccs -l -n exist_node,notexist_node
Console Connection Established...
warning:  node notexist_node does not exist
fatal:  ShowNode returned non-zero

  
Actual results:
list ends on first warning message

Expected results:
list prints all warnings and all objects which are present in store

Additional info:
Comment 1 Robert Rati 2012-11-27 13:50:59 EST
Warnings are now issued when a ws command returns non-zero instead of stopping all future actions.

Fixed upstream on:
BZ880302-continue-on-shell-error
Comment 4 Lubos Trilety 2012-12-10 12:08:32 EST
Tested with:
condor-wallaby-tools-5.0.4-1

Tested on:
RHEL5 i386,x86_64
RHEL6 i386,x86_64

list doesn't fail when there is some not-existing object
e.g.
# ccs -l -p PAR,PAR1,PAR20
Console Connection Established...
PAR1
  kind:  "string"
  default:  ""
  description:  ""
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []
  annotation:  ""
warning:  parameter PAR20 does not exist
warning: ShowParam returned non-zero
PAR
  kind:  "second"
  default:  "second_value"
  description:  "second_desc"
  must_change:  false
  requires_restart:  false
  visibility_level:  0
  depends:  []
  conflicts:  []
  annotation:  "test"

>>> verified

Note You need to log in before you can comment on or make changes to this bug.